﻿<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0" />
    <title>@{if (ViewBag.Title != null){<text>@ViewBag.Title | </text>}Html.RenderAction("_Title", "Partial", new { area = "" });}</title>
    @RenderSection("meta", required: false)
    @if (!IsSectionDefined("meta"))
    { { Html.RenderAction("_Meta", "Partial", new { area = "" }); } }
    @Html.ShowCanonicalMetaTag()
    @Html.ShowContentLanguageMetaTag()
    <meta name="robots" content="index,follow,all" />
    <meta name="googlebot" content="index, follow" />
    <meta name="distribution" content="Global" />
    @Styles.Render("~/theme/css")
    @RenderSection("styles", required: false)
</head>
<body>

    <div class="container">
        @* ---------------------------- start Main Menu ---------------------------- *@
        <div class="masthead">
            <h1 class="site-name">@{Html.RenderAction("_Title", "Partial", new { area = "" });}</h1>

            <nav class="navbar navbar-expand-md navbar-light bg-light rounded mb-3">
                <button class="navbar-toggle" type="button" data-toggle="collapse" data-target="#navbarCollapse" aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <div class="collapse navbar-collapse" id="navbarCollapse">
                    <ul class="navbar-nav text-md-center nav-justified w-100">
                        <li class="nav-item">
                            <a class="nav-link" href="/@ViewContext.RouteData.Values["lang"]/">Home</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="/@ViewContext.RouteData.Values["lang"]/ads/search?issell=true">Buy coin</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="/@ViewContext.RouteData.Values["lang"]/ads/search?issell=false">Sell coin</a>
                        </li>
                        @if (!User.Identity.IsAuthenticated)
                        {
                            <li class="nav-item">
                                <a class="nav-link" href="/@ViewContext.RouteData.Values["lang"]/account/signin">Sign in</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="/@ViewContext.RouteData.Values["lang"]/account/signup">Sign up</a>
                            </li>
                        }
                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle" href="javascript:;" id="dropdown01" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">Help</a>
                            <div class="dropdown-menu" aria-labelledby="dropdown01">
                                <a class="dropdown-item" href="/@ViewContext.RouteData.Values["lang"]/page/how-to-sell-coin">How to buy coin</a>
                                <a class="dropdown-item" href="/@ViewContext.RouteData.Values["lang"]/page/how-to-buy-coin">How to sell coin</a>
                                <a class="dropdown-item" href="/@ViewContext.RouteData.Values["lang"]/page/faq">Frequently Asked Questions</a>
                                <a class="dropdown-item" href="/@ViewContext.RouteData.Values["lang"]/page/law">Law</a>
                                <a class="dropdown-item" href="/@ViewContext.RouteData.Values["lang"]/page/support">Contact support</a>
                                <a class="dropdown-item" href="/@ViewContext.RouteData.Values["lang"]/page/about-us">About us</a>
                            </div>
                        </li>
                        @if (User.Identity.IsAuthenticated)
                        {

                            <li class="nav-item">
                                <a class="nav-link" href="/@ViewContext.RouteData.Values["lang"]/member/dashboard/"><i class="fa fa-dashboard"></i></a>
                            </li>
                            <li class="nav-item dropdown">
                                <a class="nav-link dropdown-toggle" href="javascript:;" id="dropdown02" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true"><i class="fa fa-credit-card"></i></a>
                                <div id="userBalances" class="dropdown-menu" aria-labelledby="dropdown02">...</div>
                            </li>
                            <li class="nav-item dropdown">
                                <a class="nav-link dropdown-toggle" href="javascript:;" id="dropdown03" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true"><i class="fa fa-user-o"></i></a>
                                <div class="dropdown-menu" aria-labelledby="dropdown03">
                                    <a class="dropdown-item" href="/@ViewContext.RouteData.Values["lang"]/member/ads?issell=true">My Sell Ads</a>
                                    <a class="dropdown-item" href="/@ViewContext.RouteData.Values["lang"]/member/ads?issell=false">My Buy Ads</a>
                                    <a class="dropdown-item" href="/@ViewContext.RouteData.Values["lang"]/member/transaction">My Transactions</a>
                                    <a class="dropdown-item" href="/@ViewContext.RouteData.Values["lang"]/member/profile/edit">Profile</a>
                                    <a class="dropdown-item" href="/@ViewContext.RouteData.Values["lang"]/member/verification/identificationcard">Identification Verification</a>
                                    <a class="dropdown-item" href="/@ViewContext.RouteData.Values["lang"]/member/verification/bankcard">Bank Account Verification</a>
                                    <a class="dropdown-item" href="/@ViewContext.RouteData.Values["lang"]/account/signout">Sign out</a>
                                </div>
                            </li>
                            <li class="nav-item dropdown">
                                @{ Html.RenderAction("_Notifications", "MemberPartial", new { area = "member" }); }
                            </li>
                        }
                    </ul>
                </div>
            </nav>
        </div>
        @* ---------------------------- end Main Menu ---------------------------- *@

        @* ---------------------------- Start body ---------------------------- *@
        <div class="main-content">
            @RenderBody()
        </div>
        @* ---------------------------- End body ---------------------------- *@

        <footer class="footer">
            <div class="row">
                <div class="col-md-12">
                    <div class="fast-access">
                        <a href="/page/law">Law</a>
                        <a href="/page/faq">FAQ</a>
                        <a href="/page/contact-support">Contact Support</a>
                        <a href="/page/terms">Terms of service</a>
                        <a href="/page/privacy-policy">Privacy policy</a>
                        <a href="/page/about-us">About us</a>
                    </div>
                </div>
                <div class="col-md-12">
                    <div class="copyright">
                        Copyright &copy; 2017 XCoin.com &nbsp;&nbsp; All rights reserved.
                    </div>
                </div>
            </div>
        </footer>
    </div>

    @*---------------------------- start message box ----------------------------*@
    <div id="darkMessageBox" class="dark-message-box">
        <div id="messageBox" class="message-box">
            <div id="closeMessageBox" class="close-message-box"><i class="fa fa-times"></i> Close</div>
            <div class="message-text" id="messageText">
            </div>
        </div>
    </div>
    @*---------------------------- end message box ----------------------------*@


    @Scripts.Render("~/theme/js/jquery")
    @Scripts.Render("~/theme/js/jqueryval")
    @Scripts.Render("~/theme/js/bootstrap")
    @Scripts.Render("~/theme/js/main")
    @if (User.Identity.IsAuthenticated)
    {
        @Scripts.Render("~/theme/js/memberlayout")
    }
    @RenderSection("scripts", required: false)
</body>
</html>
